C  @(#)fitc.inc	17.1.1.1 (ESO-DMD) 01/25/02 17:31:44 
C++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C.IDENTIFICATION
C       FITC.INC                     version 1.1 840328
C        J.D.Ponz              ESO - Garching
C
C.PURPOSE
C
C       Control Data Structure for Fitting
C
C       User Interface Control Variables : Common /FZCOMMON0/,
C                                            /FZCOMMON1/
C.KEYWORDS
C
C       FIT, DATA STRUCTURE
C
C.VERSIONS
C       2.0 -- Modify common FITCM1 to include first double precision
C------------------------------------------------------------------------------
C
C       Common areas
C
       COMMON/FITCM0/       FZNAME,FZTYPE,FZMASK,
     .                      FZRIMA,FZFNAM,FZSPEC,FZPTOKEN
       COMMON/FITCM1/       FZERROR,FZVALUE,FZGUESS,
     .       FZNFUN,FZNITER,FZNDAT,
     .       FZNPTOT,FZFLAG,FZDVAR,FZWEIGHT,FZNIND,FZIVAR,FZNPIX,
     .       FZFIXED,FZFCODE,FZACTPAR,FZPLEN,FZRELAX,FZCCHIS,
     .       FZCHISQ,FZCHI,FZSTART,FZSTEP,
     .       FZUNCER,FZPFAC,FZPTRI,FZPTRM,FZMAPPED,FZFPAR,
     .       FZSELE
C       COMMON/FITCM1/      FZNFUN,FZNITER,FZNDAT,
C     .       FZNPTOT,FZFLAG,FZDVAR,FZWEIGHT,FZNIND,
C     .       FZIVAR,FZNPIX,
C     .       FZFIXED,FZFCODE,FZACTPAR,FZPLEN,FZRELAX,FZCCHIS,
C     .       FZCHISQ,FZCHI,FZSTART,FZSTEP,FZERROR,
C     .       FZVALUE,FZGUESS,
C     .       FZUNCER,FZPFAC,FZPTRI,FZPTRM,FZMAPPED,FZFPAR,
C     .       FZSELE
        COMMON/FITCM2/ FZMETPAR,FZLOWB,FZUPPB,FZNRPFIX,
     .       FZPPRN,FZIWGT,FZIBND,FZIMET
        COMMON/FITCM3/ FERPAR,FERFUN,FERTAB,FERDAT,FERPFU,
     .                 FERDUP,FERCON,FZIDEN
       EQUIVALENCE       (FZNAXIS,FZNIND)
       EQUIVALENCE       (FZCHAR,FZNAME)
       EQUIVALENCE       (FZINTG,FZNFUN)
       EQUIVALENCE       (FZREAL,FZRELAX)
       EQUIVALENCE       (FZDUMM,FZGUESS)
